- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionSizeGrip Class Reference

Search for all occurrences

## Detailed Description

Definition at line 853 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionSizeGrip:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_SizeGrip }
enum | StyleOptionVersion { Version = 1 }
## Public Member Functions
| QStyleOptionSizeGrip ()
| QStyleOptionSizeGrip (const QStyleOptionSizeGrip &other)
## Public Attributes
Qt::Corner | corner
## Protected Member Functions
| QStyleOptionSizeGrip (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOptionComplex.

Definition at line 856 of file qstyleoption.h.

    { Type = SO_SizeGrip };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOptionComplex.

Definition at line 857 of file qstyleoption.h.

    { Version = 1 };

## Constructor & Destructor Documentation

QStyleOptionSizeGrip | ( |  | ) |

QStyleOptionSizeGrip | ( | const QStyleOptionSizeGrip & | other | ) | `[inline]`

Definition at line 862 of file qstyleoption.h.

    : QStyleOptionComplex(Version, Type) { *this = other; }

QStyleOptionSizeGrip | ( | int | version | ) | `[protected]`

## Member Data Documentation

Qt::Corner corner

Search for all occurrences

Definition at line 859 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionSizeGrip QStyleOptionSizeGrip QStyleOptionSizeGrip QStyleOptionSizeGrip QStyleOptionSizeGrip QStyleOptionSizeGrip QStyleOptionSizeGrip QStyleOptionSizeGrip QStyleOptionSizeGrip QStyleOptionSizeGrip
QStyleOptionSizeGrip QStyleOptionSizeGrip QStyleOptionSizeGrip QStyleOptionSizeGrip QStyleOptionSizeGrip QStyleOptionSizeGrip QStyleOptionSizeGrip QStyleOptionSizeGrip QStyleOptionSizeGrip QStyleOptionSizeGrip